<?php
/**
 * @Table(name="Application")
 * @author jc
 *
 */
class Application extends BaseObject{
	
	private $libelle;
	
	private $descriptif;
	
	private $dateCreation;
	
	private $version="1.0.0.1";
	
	/**
	 * @OneToMany(mappedBy="application",className="UseCase")
	 */
	private $useCases;
	
	/**
	 * @OneToMany(mappedBy="application", className="Affectation")
	 */
	private $affectations;

	public function getLibelle() {
		return $this->libelle;
	}
	
	public function setLibelle($libelle) {
		$this->libelle = $libelle;
		return $this;
	}

	public function getDescriptif() {
		return $this->descriptif;
	}
	
	public function setDescriptif($descriptif) {
		$this->descriptif = $descriptif;
		return $this;
	}
	
	public function getVersion() {
		return $this->version;
	}
	
	public function setVersion($version) {
		$this->version = $version;
		return $this;
	}

	public function getDateCreation() {
		return $this->dateCreation;
	}
	
	public function setDateCreation($dateCreation) {
		$this->dateCreation = $dateCreation;
		return $this;
	}

	public function getUseCases() {
		return $this->useCases;
	}
	
	public function setUseCases($useCases) {
		$this->useCases = $useCases;
		return $this;
	}
	
	public function toString(){
		return $this->libelle;
	}

	public function getAffectations() {
		return $this->affectations;
	}
	
	public function setAffectations($affectations) {
		$this->affectations = $affectations;
		return $this;
	}
}