<?php

class Report extends BaseObject{
	private $libelle;
	private $descriptif;
	private $dateCreation;
	private $userAction;
	private $systemMessage;
	private $reponseOfficielle;
	/**
	 * @ManyToOne
	 * @JoinColumn(name="idUseCase",className="UseCase",nullable=true)
	 */
	private $useCase;
	/**
	 * @ManyToOne
	 * @JoinColumn(name="idStatut",className="Statut",nullable=true)
	 */
	private $statut;
	/**
	 * @ManyToOne
	 * @JoinColumn(name="idUtilisateur",className="Utilisateur",nullable=true)
	 */
	private $utilisateur;
	/**
	 * @OneToMany(mappedBy="report", className="Message")
	 */
	private $messages;

	public function getLibelle() {
		return $this->libelle;
	}
	
	public function setLibelle($libelle) {
		$this->libelle = $libelle;
		return $this;
	}
	
	public function getDescriptif() {
		return $this->descriptif;
	}
	
	public function setDescriptif($descriptif) {
		$this->descriptif = $descriptif;
		return $this;
	}
	
	public function getDateCreation() {
		return $this->dateCreation;
	}
	
	public function setDateCreation($dateCreation) {
		$this->dateCreation = $dateCreation;
		return $this;
	}
	
	public function getUserAction() {
		return $this->userAction;
	}
	
	public function setUserAction($userAction) {
		$this->userAction = $userAction;
		return $this;
	}
	
	public function getSystemMessage() {
		return $this->systemMessage;
	}
	
	public function setSystemMessage($systemMessage) {
		$this->systemMessage = $systemMessage;
		return $this;
	}
	
	public function getReponseOfficielle() {
		return $this->reponseOfficielle;
	}
	
	public function setReponseOfficielle($reponseOfficielle) {
		$this->reponseOfficielle = $reponseOfficielle;
		return $this;
	}
	
	public function getUseCase() {
		return $this->useCase;
	}
	
	public function setUseCase($useCase) {
		$this->useCase = $useCase;
		return $this;
	}
	
	public function getStatut() {
		return $this->statut;
	}
	
	public function setStatut($statut) {
		$this->statut = $statut;
		return $this;
	}
	
	public function getUtilisateur() {
		return $this->utilisateur;
	}
	
	public function setUtilisateur($utilisateur) {
		$this->utilisateur = $utilisateur;
		return $this;
	}

	public function getMessages() {
		return $this->messages;
	}
	
	public function setMessages($messages) {
		$this->messages = $messages;
		return $this;
	}
	
	public function toString(){
		return $this->libelle;
	}
}