<?php

class Affectation{
	/**
	 * @Id
	 */
	private $idUtilisateur;
	
	/**
	 * @Id
	 */
	private $idApplication;
	
	/**
	 * @ManyToOne
	 * @JoinColumn(name="idUtilisateur", className="Utilisateur")
	 */
	private $utilisateur;
	
	/**
	 * @ManyToOne
	 * @JoinColumn(name="idApplication", className="Application")
	 */
	private $application;

	private $dateAffectation;
	
	public function getUtilisateur() {
		return $this->utilisateur;
	}
	
	public function setUtilisateur($utilisateur) {
		$this->utilisateur = $utilisateur;
		return $this;
	}
	
	public function getApplication() {
		return $this->application;
	}
	
	public function setApplication($application) {
		$this->application = $application;
		return $this;
	}

	public function getIdUtilisateur() {
		return $this->idUtilisateur;
	}
	
	public function setIdUtilisateur($idUtilisateur) {
		$this->idUtilisateur = $idUtilisateur;
		return $this;
	}
	
	public function getIdApplication() {
		return $this->idApplication;
	}
	
	public function setIdApplication($idApplication) {
		$this->idApplication = $idApplication;
		return $this;
	}

	public function getDateAffectation() {
		return $this->dateAffectation;
	}
	
	public function setDateAffectation($dateAffectation) {
		$this->dateAffectation = $dateAffectation;
		return $this;
	}
}