<?php

class UseCase{
	/**
	 * @Id
	 */
	private $code;
	private $libelle;
	/**
	 * @ManyToOne
	 * @JoinColumn(name="idApplication",className="Application")
	 */
	private $application;

	public function __construct($code=null){
		$this->code=$code;
	}
	public function getCode() {
		return $this->code;
	}
	
	public function setCode($code) {
		$this->code = $code;
		return $this;
	}
	
	public function getLibelle() {
		return $this->libelle;
	}
	
	public function setLibelle($libelle) {
		$this->libelle = $libelle;
		return $this;
	}
	
	public function getApplication() {
		return $this->application;
	}
	
	public function setApplication($application) {
		$this->application = $application;
		return $this;
	}
	
	public function toString(){
		$application=$this->application;
		if(!isset($application))
			$application='Sans application';
		else
			$application=$application->getLibelle();
		return $this->libelle." (".$application.")";
	}
}