<?php

class Utilisateur extends BaseObject{

	private $login;
	private $password=null;
	private $mail;
	/**
	 * @ManyToOne
	 * @JoinColumn(name="idGroupe",className="Groupe",nullable=true)
	 */
	private $groupe;
	/**
	 * @OneToMany(mappedBy="utilisateur", className="Affectation")
	 */
	private $affectations;

	public function getLogin() {
		return $this->login;
	}
	
	public function setLogin($login) {
		$this->login = $login;
		return $this;
	}
	
	public function getPassword() {
		return $this->password;
	}
	
	public function setPassword($password) {
		$this->password = $password;
		return $this;
	}
	
	public function getGroupe() {
		return $this->groupe;
	}
	
	public function setGroupe($groupe) {
		$this->groupe = $groupe;
		return $this;
	}
	public function toString(){
		$groupe=$this->groupe;
		if(!isset($groupe))
			$groupe='Sans groupe';
		else 
			$groupe=$groupe->getLibelle();
		return $this->login." (".$groupe.")";
	}

	public function getMail() {
		return $this->mail;
	}
	
	public function setMail($mail) {
		$this->mail = $mail;
		return $this;
	}

	public function getAffectations() {
		return $this->affectations;
	}
	
	public function setAffectations($affectations) {
		$this->affectations = $affectations;
		return $this;
	}
}